Subject: RE: bug#37930: 26.3; Elisp manual: please remove index entry `seq library'

From: Drew Adams <[email-masked]>
Date: Sat, 26 Oct 2019 08:00:09 -0700 (PDT)

> tags 37930 wontfix
> close 37930
>
> >  commentary, in a Lisp library
> >  dynamic-library-alist
> >  find library
> >  image-load-path-for-library
> >  library
> >  library compilation
> >  library header comments
> >  library search
> >  Lisp library
> >  load-library
> >  locate-library
> >  seq library
> >
> > `seq library' does not belong here.
> 
> Disagree.  You are assessing index entries from
> a completely wrong angle.

What angle is that?

You disagree that `seq library' doesn't belong.
Fair enough.  Why do you think it belongs?

You didn't address the substance of the report:
lack of a reason why it should be present.

What's a good reason why it, alone among our
many libraries, should have an index entry of
that form?

That's what begs justifying.  There's no need
to justify some imagined purist consistency.

There should be no special need for a reason
to remove it, if there's no reason to have it.

Maybe there's a good reason for entry `seq
library'.  It's not obvious to me.  If so,
please say what it is.  I'd like to understand.

> > (Either that or entries also belong for
> > some or all of the umpteen other libraries
> > provided in an Emacs distribution.)
> 
> May I suggest to re-read the well-known
> quotation about consistency by Ralph Waldo
> Emerson?
> 
> There's no need for consistency here.

(Once again, BTW) no one has argued for blind
and systematic consistency.  That's never a
requirement.  And I'd be the last person to
argue for that.

Occam's razor: If there's no good reason to
add `seq library', why add it?  If there's a
reason for it _then_ close the report (after
providing the reason, please).